Mithi SkyConnect supports TLS 1.2 as per PCI security standards council mandate

Articles I'm a Customer News & Events Security Skyconnect

As part of our effort to provide you with the most secure data store on the cloud and the highest level of security while consuming Mithi SkyConnect, our teams are focused on continually enhancing the security of our platform.

We’ve engineered Mithi SkyConnect to comply with the PCI Security Standards Council mandate that requires the deprecation of TLS versions 1.0, recommends the deprecation of TLS 1.1 and requires Internet facing services to use TLS 1.2 for encrypting the transmission channels on all protocols.

Read more about it here.


Leave a Reply

Your email address will not be published. Required fields are marked *

*